#! /bin/sh
### BEGIN INIT INFO
# Provides:          bodhi-firstboot
# Required-Start:    $remote_fs $syslog $all
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Run Bodhi firstboot items a remastered system has been installed
### END INIT INFO

PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin:/usr/local/sbin

. /lib/init/vars.sh
. /lib/lsb/init-functions

do_start() {
        #REM302
        if [ "`cat /proc/cmdline | grep boot=live`" = "" ]; then
            [ "\$VERBOSE" != no ] && log_begin_msg "Running Bodhi-firstboot"
            (sleep 60 && update-rc.d -f bodhi-firstboot remove) &
            # sed -i -e 's/root::/root:*:/g' /etc/shadow

            #rm /etc/rc.local
            #rm /etc/default/grub.d/50_bodhi.cfg
            #update-grub
            rm /etc/init.d/bodhi-firstboot

            [ "\$VERBOSE" != no ] && log_end_msg $rc
            return $rc
      else
            chown :bodhi /etc/chromium/
            chmod g+rw /etc/chromium/
            chown :bodhi /etc/chromium/master_preferences
            chmod g+rw /etc/chromium/master_preferences
            chown :bodhi /usr/share/chromium/
            chmod g+rw /usr/share/chromium/
            chown :bodhi /usr/share/chromium/initial_bookmarks.html
            chmod g+rw /usr/share/chromium/initial_bookmarks.html
      fi
}

case "$1" in
    start)
        do_start
        rc=$?
        ;;
    restart|reload|force-reload)
        echo "Error: argument '$1' not supported" >&2
        exit 3
        ;;
    stop)
        ;;
    *)
        echo "Usage: \$0 start|stop" >&2
        exit 3
        ;;
esac

exit $rc
